擷取偵測結果

GET https://contrails.googleapis.com/v2/detections:以 GeoJSON LineString 格式取得凝結尾跡偵測結果。

如果成功,回應會是 GeoJSON 格式的 FeatureCollection。請注意,如果時間範圍超出範圍 (例如搜尋未來偵測到的凝結尾跡),可能會傳回空白 FeatureCollection。此外,偵測模型更新和回填資料時,偵測結果不保證會保持一致。

查詢參數

參數
start_time

string

必填。要求的開始時間。

格式:ISO 8601 日期時間字串

範例:2026-01-20T21:00:00Z

end_time

string

必填。要求結束時間 (含此時間)。請注意,end_time 不得超過 start_time 24 小時以上。

格式:ISO 8601 日期時間字串

範例:2026-01-20T22:00:00Z

satellite_origins[]

string

(選用步驟) 有效值為 GOES-EAST-FULL-DISKHIMAWARI-FULL-DISKMTG-000-FULL-DISK,分別代表 GOES_EAST、Himawari 和 MTG 衛星。

如果提供這個端點,系統會傳回 satellite_origins 中指定衛星偵測到的凝結尾跡。

如未提供,則會傳回所有適用衛星資料供應商偵測到的凝結尾跡。

格式:字串陣列

範例:["GOES-EAST-FULL-DISK", "HIMAWARI-FULL-DISK"]

範例

  • 如要擷取特定時間點的所有凝結尾跡偵測結果:

    response = requests.get(
      url="https://contrails.googleapis.com/v2/detections",
      params={"start_time": "2026-01-27T12:00:00Z",
              "end_time": "2026-01-27T12:10:00Z"},
      headers={"x-goog-api-key": API_KEY},
    )
    
  • 如要擷取特定時間點的凝結尾跡偵測結果 (僅限向日葵偵測結果),請使用以下指令:

    response = requests.get(
      url="https://contrails.googleapis.com/v2/detections",
      params={"start_time": "2026-01-27T12:00:00Z",
              "end_time": "2026-01-27T12:10:00Z",
              "satellite_origins": ["HIMAWARI-FULL-DISK"]}
      headers={"x-goog-api-key": API_KEY},
    )
    

    或使用 CURL:

    curl "https://contrails.sandbox.googleapis.com/v2/detections?\
    key=API_KEY&\
    start_time=2026-01-27T12:00:00Z&\
    end_time=2026-01-27T12:10:00Z&\
    satellite_origins=HIMAWARI-FULL-DISK"
    

如果成功偵測到凝結尾跡,回應內容會類似以下範例:

{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "geometry": {
        "type": "LineString",
        "coordinates": [
          [
            90.06765747070312,
            44.201324462890625
          ],
          [
            90.99974060058594,
            43.65225601196289
          ]
        ]
      },
      "properties": {
        "time": "2026-03-10T00:00:00+00:00",
        "satellite_origin": "HIMAWARI-FULL-DISK"
      }
    },
    {
      "type": "Feature",
      "geometry": {
        "type": "LineString",
        "coordinates": [
          [
            105.36386108398438,
            -1.7198446989059448
          ],
          [
            105.7318115234375,
            -2.5787696838378906
          ]
        ]
      },
      "properties": {
        "time": "2026-03-10T00:00:00+00:00",
        "satellite_origin": "HIMAWARI-FULL-DISK"
      }
    }
  ]
}